CppStaticLibrary (Gradle API 8.11.1)

Package org.gradle.language.cpp

## Interface CppStaticLibrary

- All Superinterfaces:
    `BuildableComponent`, `ComponentWithCoordinates`, `ComponentWithDependencies`, `ComponentWithLinkFile`, `ComponentWithLinkUsage`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `ComponentWithOutputs`, `ComponentWithRuntimeUsage`, `ComponentWithStaticLibrary`, `CppBinary`, `Named`, `PublishableComponent`, `SoftwareComponent`

      public interface CppStaticLibrary
      extends CppBinary, ComponentWithStaticLibrary, ComponentWithLinkUsage, ComponentWithRuntimeUsage, ComponentWithOutputs, PublishableComponent

  A static library built from C++ source.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.language.cpp.CppBinary

      `DEBUGGABLE_ATTRIBUTE, LINKAGE_ATTRIBUTE, OPTIMIZED_ATTRIBUTE`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.component.ComponentWithCoordinates

      `getCoordinates`

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkFile

      `getLinkFile, getLinkFileProducer`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithLinkUsage

      `getLinkElements`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.language.ComponentWithOutputs

      `getOutputs`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithRuntimeUsage

      `getRuntimeElements`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithStaticLibrary

      `getCreateTask`

    - ### Methods inherited from interface org.gradle.language.cpp.CppBinary

      `getCompileIncludePath, getCompileTask, getCppSource, getLinkLibraries, getRuntimeLibraries, getTargetPlatform`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`